org.apache.tapestry5.internal.services

## Class ExternalUrlAssetFactory

- java.lang.Object
- - org.apache.tapestry5.internal.services.ExternalUrlAssetFactory

- All Implemented Interfaces:
    AssetFactory

      public class ExternalUrlAssetFactory
      extends java.lang.Object
      implements AssetFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalUrlAssetFactory(java.lang.String protocol)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Asset` | `createAsset(Resource resource)` Creates an instance of an asset.
    `Resource` | `getRootResource()` Returns the Resource representing the root folder of the domain this factory is responsible for.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalUrlAssetFactory

          public ExternalUrlAssetFactory(java.lang.String protocol)

  - ### Method Detail

    - #### getRootResource

          public Resource getRootResource()

      Description copied from interface: `AssetFactory`
      Returns the Resource representing the root folder of the domain this factory is responsible for.
      Specified by:
        `getRootResource` in interface `AssetFactory`

    - #### createAsset

          public Asset createAsset(Resource resource)

      Description copied from interface: `AssetFactory`
      Creates an instance of an asset. Starting with 5.1.0.0, it is preferred (but not required) that the factory return an instance of `Asset2`.
      Specified by:
        `createAsset` in interface `AssetFactory`
      Parameters:
        `resource` - a resource within this factories domain (derived from the root resource)
      Returns:
        an Asset for the resource

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.